#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x91,0xCF,0xEA,0x51,0x0E,0x4F,0x25,0x4D,0x30,0xA6,0xD4,0x89,
		0x58,0xF1,0xBC,0xB9,0xFB,0x3B,0x35,0xB4,0x32,0x3C,0x42,0x5D,
		0xCF,0xA8,0xF7,0x9E,0xF5,0x15,0x18,0xD3,0x71,0x9E,0x98,0xBC,
		0x30,0x2F,0xDF,0x78,0xE2,0xE5,0x76,0x1F,0xD1,0x35,0x45,0x81,
		0x2A,0xCE,0x70,0xE5,0x71,0x00,0xA3,0x0A,0xE9,0xD7,0x5D,0xA4,
		0x33,0x6C,0x2E,0xCB,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
